List
List all deployments.
| Scope | Required |
|---|---|
deployments:read | Yes |
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-03-09.tetons"
Query Parameters
The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.
x >= 00
The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.
1 <= x <= 10010
Sort order for the deployment results.
id:asc, id:desc, created_at:desc, created_at:asc ["created_at:desc"]Fields to expand on each deployment in the list.
total_count, device, release, config_instances ["device"]The deployment IDs to filter by.
["dpl_123"]The deployment target statuses to filter by.
Desired state of the deployment.
- Staged: is ready to be deployed
- Deployed: all config instances part of the deployment are available for consumption on the device
- Archived: the deployment is available for historical reference but cannot be deployed and is not active on the device
staged, deployed, archived ["staged"]The deployment activity statuses to filter by.
Last known activity state of the deployment.
- Drifted: device's configurations have drifted since this deployment was staged, and the deployment needs to be reviewed before it can be deployed
- Staged: is ready to be deployed
- Queued: the deployment's config instances are waiting to be received by the device; will be deployed as soon as the device is online
- Deployed: the deployment's config instances are currently available for consumption on the device
- Archived: the deployment is available for historical reference but cannot be deployed and is not active on the device
drifted, staged, queued, deployed, archived ["drifted"]The deployment error statuses to filter by.
Last known error state of the deployment.
- None: no errors
- Retrying: an error has been encountered and the agent is retrying to reach the target status
- Failed: a fatal error has been encountered; the deployment is archived and (if deployed) removed from the device
none, failed, retrying ["none"]The deployment device IDs to filter by.
["dvc_123"]The deployment release IDs to filter by.
["rls_123"]Response
Successfully listed the deployments.
The object type, which is always list.
list "list"
The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.
1 <= x <= 100The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.
x >= 0True if there are more items in the list to return. False if there are no more items to return.
false
The list of deployments.
The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

